View Issue Details

IDProjectCategoryView StatusLast Update
0000737Apache 2.x Bugpublic2021-08-12 08:33
ReporterDavid McKennaAssigned Topsmedley 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.4.x 
Target VersionFixed in Version 
Summary0000737: phpMyAdmin shows blank page with Apache 2.4.48
Description This is probably the same issue as 704. Running Apache 2.2.34, php 5.6.40, MySql 5.6.46, and phpMyAdmin 4.9.7 everything works smoothly. Changing to Apache 2.4.48 (and leaving the other components the same), then when browsing to phpMyAdmin, it displays a blank page, instead of the login page.
Steps To Reproduce Install Apache 2.4.48 with php, MySql, and phpMyAdmin. Try to browse to phpMyAdmin.
Additional Information I tried editing index.php as suggested in 0000704, but it did not help (although I may misunderstand exactly how to make the edits). Also tried different versions of php and phpMyAdmin, but always get a blank page with Apache 2.4. Apache 2.2 always works (displays the login page).
TagsNo tags attached.

Activities

David McKenna

2021-07-09 07:00

reporter   ~0003786

Should mention that when switching between Apache 2.2 and 2.4, I also switched between the 2.2 and 2.4 versions of the modphp5.dll plugin. Since posting this I have also tried to run Wordpress 5.7.2 and it too will work well with Apache 2.2, but gives a blank login page with Apache 2.4. I'm starting to think the issue is not with Apache, but the modphp5.dll plugin...

psmedley

2021-07-09 07:44

administrator   ~0003787

Hi Dave - it would make sense that it's a modphp5 issue - are you able to try with PHP 7.3? https://smedley.id.au/tmp/php-7.3.25-os2-20201214.zip

PHP 5.6 is well end of life - even 7.3 is close to being end of life, but I think it's supported until the end of the year (albeit we're a few builds behind).

emax

2021-07-10 01:03

reporter   ~0003789

dunno if i can comment

me too i'm using php 5.6.40 and even if it's EOL
unfortunately there are still around a number of websites that at the moment do not work under php 7.x
and clients do not agree to rebuild the webapp or the website

David McKenna

2021-07-11 00:13

reporter   ~0003798

Hi Paul,

  I tried php 7.3.25 with Apache 2.4.48 and it seems to work (it starts and at least my web page displays), but I still get a blank page (but no error) when trying to display the phpMyAdmin or Wordpress login pages. Is there an Apache 2.2 modphp7.dll plugin available to make sure php7 really works? I'll attach the log files after trying to open phpMyAdmin, then Wordpress.

access_log (400 bytes)
190.154.129.189 - - [10/Jul/2021:10:34:48 +0000] "GET / HTTP/1.1" 400 226
192.168.21.3 - - [10/Jul/2021:10:34:57 +0000] "GET /phpmyadmin4-9/ HTTP/1.1" 200 -
190.154.129.189 - - [10/Jul/2021:10:35:00 +0000] "GET / HTTP/1.1" 400 226
192.168.21.3 - - [10/Jul/2021:10:35:02 +0000] "GET /wordpress/wp-login.php?redirect_to=https%3A%2F%2F192.168.21.2%2Fwordpress%2Fwp-admin%2F&reauth=1 HTTP/1.1" 200 -
access_log (400 bytes)
error_log (674 bytes)
PHP Warning:  PHP Startup: Failed to initialize high-resolution timer in Unknown on line 0
[Sat Jul 10 10:34:36.426000 2021] [mpm_mpmt_os2:error] [pid 2265:tid 1] AH00200: DosGetNamedSharedMem returned 0
[Sat Jul 10 10:34:36.430000 2021] [mpm_mpmt_os2:notice] [pid 2265:tid 1] AH00206: Apache/2.4.48 (OS/2) OpenSSL/1.1.1k PHP/7.3.25 configured -- resuming normal operations
PHP Warning:  PHP Startup: Failed to initialize high-resolution timer in Unknown on line 0
PHP Warning:  PHP Startup: Failed to initialize high-resolution timer in Unknown on line 0
[Sat Jul 10 10:35:26.652000 2021] [mpm_mpmt_os2:notice] [pid 2265:tid 1] AH00201: caught SIGTERM, shutting down
error_log (674 bytes)
ssl_request_log (306 bytes)
[10/Jul/2021:10:34:57 +0000] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/ HTTP/1.1" -
[10/Jul/2021:10:35:02 +0000] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /wordpress/wp-login.php?redirect_to=https%3A%2F%2F192.168.21.2%2Fwordpress%2Fwp-admin%2F&reauth=1 HTTP/1.1" -
ssl_request_log (306 bytes)

David McKenna

2021-07-11 03:44

reporter   ~0003803

Hey Paul,

  Made some progress on this... combed over my httpd.conf and php.ini files and made a few changes (fixed a path, enabled all available modules, and increased max script memory) and now I can use the 5.6.40 modphp5.dll with Apache 2.4 and phpMyAdmin and Wordpress work. But still can't get the 7.3.25 modphp7.dll to display the login pages... maybe there are new settings for php7 I need in php.ini.... need to do more reading. At least I am running Apache 2.4 now!

David McKenna

2021-07-12 00:24

reporter   ~0003804

Found an earlier build of 7.3.19 that has both Apache 2.2 and 2.4 modphp7.dll files, but neither one will display either phpMyAdmin or Wordpress. Was wondering if you got Wordpress working with 7.3.25? If so, could you share your php.ini and httpd.conf files - maybe that would give me a clue...

psmedley

2021-07-12 18:57

administrator   ~0003806

I'll try test wordpress with 7.3.25 when I get a chance...

psmedley

2021-07-23 18:45

administrator   ~0003831

I'll work on this once 7.4 is stabilised - 7.3 is pretty much EOL

David McKenna

2021-07-24 14:35

reporter   ~0003835

OK... let me know when a stable 7.4 is available and I'll try it....

psmedley

2021-07-26 19:25

administrator   ~0003838

https://smedley.id.au/tmp/php-7.3.25-os2-20210727.zip should do better - I can at least render the phpmyadmin startup page now...

7.4 & 8.0 have other issues that are being investigated..

David McKenna

2021-07-26 20:09

reporter   ~0003839

Thanks Paul!

 What version of Curl did you use for this? I keep getting:

07-26-2021 06:29:45 SYS2070 PID 1213 TID 0001 Slot 0079
C:\PROGRAMS\APACHE24\BIN\HTTPD.EXE
CURL->CURL._curl_version_info
127

 in the POPUPLOG when I try to start Apache with the modphp7.dll from this package. I have version 7.75 (the latest on netlabs-rel) installed...

psmedley

2021-07-27 06:45

administrator   ~0003840

I'm probably using a locally built curl.dll - let me investigate. For now, try removing curl.dll from php.ini

psmedley

2021-07-27 19:35

administrator   ~0003841

https://smedley.id.au/tmp/php-7.3.25-os2-20210727.zip will get you further, but we're hitting an exception in libcx trying to launch the WordPress setup.

The positive is that it's the same trap in php 7.4 and 8.0 so hopefully once we work around it, we'll be able to get to a current, supported build quite quickly.

David McKenna

2021-07-27 20:21

reporter   ~0003842

Paul,

 Definitely some progress with this last one - I get the phpMyAdmin logon page now, but if I try to logon I get a message 'Can't assign requested address' and it doesn't logon. Wordpress gives 'Error establishing a database connection' instead of the logon page. No obvious trap though...

psmedley

2021-07-27 20:37

administrator   ~0003843

what's your virtualaddresslimit? if you have localhost for the mysql address, try 127.0.0.1 instead

David McKenna

2021-07-28 06:20

reporter   ~0003844

Paul,

  Virtualaddresslimit = 2560. I have been using 127.0.0.1 for the MySQL server...

psmedley

2021-08-05 19:30

administrator   ~0003848

Can you test with the updated libcx from https://github.com/bitwiseworks/libcx/issues/95 ? It gets me further with phpmyadmin and wordpress

David McKenna

2021-08-05 19:54

reporter   ~0003849

Paul,

  No change with that libcx0.dll. I get the phpMyAdmin logon page, but logging on fails, and Wordpress says it can't connect to the database... do you have a newer version to test with it?

psmedley

2021-08-06 15:11

administrator   ~0003850

I can login to phpmyadmin with https://smedley.id.au/tmp/php-7.3.25-os2-20210727.zip and the updated libcx. It doesnt work properly, but that's another issue :)

I'll try wordpress too

psmedley

2021-08-06 16:00

administrator   ~0003851

Last edited: 2021-08-06 16:04

View 2 revisions

A fresh install of wordpress seems to be working. Note this is with https://smedley.id.au/tmp/httpd-2.4.48-os2-20210619-debug.zip

David McKenna

2021-08-06 20:33

reporter   ~0003852

Paul,

  Was using the 0606 version of httpd, but even the debug version gives the same errors. I'll attach logs for accessing phpMyAdmin, then Wordpress. Could very well be that I need to update php.ini for php7 (I'm using essentially the same php.ini I use with php5). Gotta run to work now, but will investigate further later today...

access_log-2 (5,828 bytes)
192.168.21.3 - - [06/Aug/2021:06:57:22 +0100] "GET /phpmyadmin4-9/ HTTP/1.1" 200 3486
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/addon/lint/lint.css?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/themes/pmahomme/css/printview.css?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/addon/hint/show-hint.css?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/lib/codemirror.css?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/themes/pmahomme/jquery/jquery-ui.css HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery.min.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery-migrate.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/phpmyadmin.css.php?nocache=4831061417ltr&server=1 HTTP/1.1" 200 20821
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/ajax.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/sprintf.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/keyhandler.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery.validate.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/js.cookie.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery.mousewheel.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery-ui.min.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery.event.drag-2.2.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery.ba-hashchange-1.3.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery-ui-timepicker-addon.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/jquery/jquery.debounce-1.0.5.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/cross_framing_protection.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/tracekit.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/menu-resizer.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/error_report.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/rte.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/config.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/navigation.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/functions.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/indexes.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/common.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/shortcuts_handler.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/page_settings.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/doclinks.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/whitelist.php?v=4.9.7 HTTP/1.1" 200 491
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/lib/codemirror.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/addon/runmode/runmode.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/mode/sql/sql.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/addon/hint/show-hint.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/addon/hint/sql-hint.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/vendor/codemirror/addon/lint/lint.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/console.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/messages.php?l=en&v=4.9.7 HTTP/1.1" 200 8868
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/js/codemirror/addon/lint/sql-lint.js?v=4.9.7 HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/themes/pmahomme/img/logo_right.png HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/themes/dot.gif HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:23 +0100] "GET /phpmyadmin4-9/themes/pmahomme/img/b_help.png HTTP/1.1" 304 -
192.168.21.3 - - [06/Aug/2021:06:57:26 +0100] "POST /phpmyadmin4-9/index.php HTTP/1.1" 200 3584
192.168.21.3 - - [06/Aug/2021:06:57:30 +0100] "GET /phpmyadmin4-9/ HTTP/1.1" 200 3487
192.168.21.3 - - [06/Aug/2021:06:57:36 +0100] "GET /wordpress/wp-login.php?redirect_to=https%3A%2F%2F192.168.21.2%2Fwordpress%2Fwp-admin%2F&reauth=1 HTTP/1.1" 500 2527
access_log-2 (5,828 bytes)
error_log-2 (913 bytes)
[Fri Aug 06 06:56:42.411000 2021] [mpm_mpmt_os2:error] [pid 563:tid 1] AH00200: DosGetNamedSharedMem returned 0
[Fri Aug 06 06:56:42.411000 2021] [core:crit] [pid 563:tid 1] (OS 10038)Socket operation on non-socket: AH00067: make_sock: for address 0.0.0.0:443, apr_socket_opt_set: (SO_REUSEADDR)
[Fri Aug 06 06:56:42.411000 2021] [mpm_mpmt_os2:alert] [pid 563:tid 1] AH00200: no listening sockets available, shutting down
[Fri Aug 06 06:56:42.411000 2021] [:emerg] [pid 563:tid 1] AH02818: MPM run failed, exiting
[Fri Aug 06 06:57:15.519000 2021] [mpm_mpmt_os2:error] [pid 565:tid 1] AH00200: DosGetNamedSharedMem returned 0
[Fri Aug 06 06:57:15.523000 2021] [mpm_mpmt_os2:notice] [pid 565:tid 1] AH00206: Apache/2.4.48 (OS/2) OpenSSL/1.1.1k PHP/7.3.25 configured -- resuming normal operations
[Fri Aug 06 06:57:44.054000 2021] [mpm_mpmt_os2:notice] [pid 565:tid 1] AH00201: caught SIGTERM, shutting down
error_log-2 (913 bytes)
ssl_request_log-2 (7,200 bytes)
[06/Aug/2021:06:57:22 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/ HTTP/1.1" 3486
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/addon/lint/lint.css?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/themes/pmahomme/css/printview.css?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/addon/hint/show-hint.css?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/lib/codemirror.css?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/themes/pmahomme/jquery/jquery-ui.css HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery.min.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery-migrate.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/phpmyadmin.css.php?nocache=4831061417ltr&server=1 HTTP/1.1" 20821
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/ajax.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/sprintf.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/keyhandler.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery.validate.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/js.cookie.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery.mousewheel.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery-ui.min.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery.event.drag-2.2.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery.ba-hashchange-1.3.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery-ui-timepicker-addon.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/jquery/jquery.debounce-1.0.5.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/cross_framing_protection.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/tracekit.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/menu-resizer.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/error_report.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/rte.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/config.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/navigation.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/functions.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/indexes.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/common.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/shortcuts_handler.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/page_settings.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/doclinks.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/whitelist.php?v=4.9.7 HTTP/1.1" 491
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/lib/codemirror.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/addon/runmode/runmode.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/mode/sql/sql.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/addon/hint/show-hint.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/addon/hint/sql-hint.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/vendor/codemirror/addon/lint/lint.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/console.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/messages.php?l=en&v=4.9.7 HTTP/1.1" 8868
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/js/codemirror/addon/lint/sql-lint.js?v=4.9.7 HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/themes/pmahomme/img/logo_right.png HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/themes/dot.gif HTTP/1.1" -
[06/Aug/2021:06:57:23 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/themes/pmahomme/img/b_help.png HTTP/1.1" -
[06/Aug/2021:06:57:26 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "POST /phpmyadmin4-9/index.php HTTP/1.1" 3584
[06/Aug/2021:06:57:30 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /phpmyadmin4-9/ HTTP/1.1" 3487
[06/Aug/2021:06:57:36 +0100] 192.168.21.3 TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /wordpress/wp-login.php?redirect_to=https%3A%2F%2F192.168.21.2%2Fwordpress%2Fwp-admin%2F&reauth=1 HTTP/1.1" 2527
ssl_request_log-2 (7,200 bytes)

psmedley

2021-08-06 20:35

administrator   ~0003853

Attaching my php.ini for reference. I should be awake by the time you get home from work, will look in the morning

psmedley

2021-08-06 20:36

administrator  

php.ini (46,518 bytes)

David McKenna

2021-08-07 07:18

reporter   ~0003854

Hey Paul,

  I'm not getting anywhere with this... I tried using your php.ini file (with paths updated for my system), but I get the same results: Wordpress says it can't connect to the database, and when I try to log on to phpMyAdmin, it gives an error: "Can't assign requested address". This is with php 7.3.25 (5.6.40 works fine). Error logs don't show anything alarming, so I guess the problem lies somewhere else... can you share your httpd.conf and my.cnf files? I'll keep using your php.ini file and debug apache 2.4 for now for testing purposes.

  I'll upload the configuration files I am using too....

httpd.conf (17,683 bytes)
my.cnf (1,984 bytes)
php7.ini (72,987 bytes)

psmedley

2021-08-07 07:33

administrator   ~0003855

I'll get you copies of my files, but meanwhile, are you trying to do this via http or https? My testing is via http as I don't have SSL setup in my OS/2 VM.

psmedley

2021-08-07 17:52

administrator   ~0003856

Not that I expect it to behave any differently, but https://smedley.id.au/tmp/php-7.4.20-os2-20210807.zip

httpd-2.conf (19,888 bytes)

David McKenna

2021-08-08 01:15

reporter   ~0003857

Hi Paul,

  Thanks for the httpd.conf file... tried using your httpd.conf and php.ini files (with adjusted paths), but still can't log on to phpMyAdmin and Wordpress says it can't connect to database just like with my files. The exact phpMyAdmin error is: mysqli_real_connect(): (HY000/2002): Can't assign requested address.

  I have been using https://, so I disabled that, but still can't get php 7.3.25 to work - same errors with http://. I wonder what is different between our systems?

  BTW - I get the 'Curl_version_info' error mentioned above when I try to use the 7.4.20 version you posted.

David McKenna

2021-08-08 01:35

reporter   ~0003858

Hey Paul,

  I finally cracked this nut - the config files for both phpMyAdmin and Wordpress had 'localhost' as the host name. I changed them to '127.0.0.1' and now I can log on to phpMyAdmin and Wordpress using php 7.3.25. Can php 7.3.25 be made to look at the 'hosts' file to get IP addresses from names?

David McKenna

2021-08-08 03:38

reporter   ~0003859

Paul,

  It seems php7 doesn't have the mcrypt module, but php5 does have it. Any chance that can be added to php7? I think both phpMyAdmin and Wordpress use it.

David McKenna

2021-08-08 04:21

reporter   ~0003860

Never mind... I see mcrypt has been deprecated for Openssl since php7.1.... there are some modules required for Wordpress we don't have though. See here: https://make.wordpress.org/hosting/handbook/server-environment/

 Might explain the flakiness in Wordpress I see (errors on some of the settings pages, updates fail etc.)...

psmedley

2021-08-08 07:17

administrator   ~0003861

Hi Dave - some of those listed extensions are built in to PHP, so its not as bad as it first seems. Glad you made progress though. Let me do some testing with PHP 8, then I suggest we focus testing on that version.

I'm not sure why localhost isn't working - afaik libc should take care of resolving that using hosts/nameserver.

psmedley

2021-08-08 19:02

administrator   ~0003863

ok, phpmyadmin probably isnt working cos I'm still running mysql 5.1 on my os/2 box

David McKenna

2021-08-09 01:11

reporter   ~0003864

Yeah - I think recent phpMyAdmin versions need at least MySQL 5.5, I'm using 5.6. I updated my phpMyAdmin to the most recent version (5.1.1), and it seems to work well with php 7.3.25. Same can't be said about Wordpress though... have to reload pages several times to get them to render (if at all), installing plugins fails with 'can't write file...' errors (even though the files write), and there seems to be a horrible memory leak somewhere - when using Wordpress, the server eventually grinds to a halt from lack of memory (the server has 8GB).

psmedley

2021-08-11 11:26

administrator   ~0003868

I believe this is resolved with current builds. Please raise new tickets for any remaining issues.

David McKenna

2021-08-11 19:48

reporter   ~0003871

Yes, definitely close this one.

psmedley

2021-08-12 08:33

administrator   ~0003874

Fixed in latest builds of Apache and php

Issue History

Date Modified Username Field Change
2021-07-05 23:13 David McKenna New Issue
2021-07-09 07:00 David McKenna Note Added: 0003786
2021-07-09 07:44 psmedley Note Added: 0003787
2021-07-10 01:03 emax Note Added: 0003789
2021-07-11 00:13 David McKenna File Added: access_log
2021-07-11 00:13 David McKenna File Added: error_log
2021-07-11 00:13 David McKenna File Added: ssl_request_log
2021-07-11 00:13 David McKenna Note Added: 0003798
2021-07-11 03:44 David McKenna Note Added: 0003803
2021-07-12 00:24 David McKenna Note Added: 0003804
2021-07-12 18:57 psmedley Note Added: 0003806
2021-07-23 18:45 psmedley Note Added: 0003831
2021-07-24 14:35 David McKenna Note Added: 0003835
2021-07-26 19:25 psmedley Note Added: 0003838
2021-07-26 20:09 David McKenna Note Added: 0003839
2021-07-27 06:45 psmedley Note Added: 0003840
2021-07-27 19:35 psmedley Note Added: 0003841
2021-07-27 20:21 David McKenna Note Added: 0003842
2021-07-27 20:37 psmedley Note Added: 0003843
2021-07-28 06:20 David McKenna Note Added: 0003844
2021-08-05 19:30 psmedley Note Added: 0003848
2021-08-05 19:54 David McKenna Note Added: 0003849
2021-08-06 15:11 psmedley Note Added: 0003850
2021-08-06 16:00 psmedley Note Added: 0003851
2021-08-06 16:04 psmedley Note Edited: 0003851 View Revisions
2021-08-06 20:33 David McKenna File Added: access_log-2
2021-08-06 20:33 David McKenna File Added: error_log-2
2021-08-06 20:33 David McKenna File Added: ssl_request_log-2
2021-08-06 20:33 David McKenna Note Added: 0003852
2021-08-06 20:35 psmedley Note Added: 0003853
2021-08-06 20:36 psmedley File Added: php.ini
2021-08-07 07:18 David McKenna File Added: httpd.conf
2021-08-07 07:18 David McKenna File Added: my.cnf
2021-08-07 07:18 David McKenna File Added: php7.ini
2021-08-07 07:18 David McKenna Note Added: 0003854
2021-08-07 07:33 psmedley Note Added: 0003855
2021-08-07 17:52 psmedley File Added: httpd-2.conf
2021-08-07 17:52 psmedley Note Added: 0003856
2021-08-08 01:15 David McKenna Note Added: 0003857
2021-08-08 01:35 David McKenna Note Added: 0003858
2021-08-08 03:38 David McKenna Note Added: 0003859
2021-08-08 04:21 David McKenna Note Added: 0003860
2021-08-08 07:17 psmedley Note Added: 0003861
2021-08-08 19:02 psmedley Note Added: 0003863
2021-08-09 01:11 David McKenna Note Added: 0003864
2021-08-11 11:26 psmedley Assigned To => psmedley
2021-08-11 11:26 psmedley Status new => feedback
2021-08-11 11:26 psmedley Note Added: 0003868
2021-08-11 19:48 David McKenna Note Added: 0003871
2021-08-11 19:48 David McKenna Status feedback => assigned
2021-08-12 08:33 psmedley Status assigned => closed
2021-08-12 08:33 psmedley Resolution open => fixed
2021-08-12 08:33 psmedley Note Added: 0003874